## imcode.util
Class ToStringPairTransformer

    java.lang.Object
      imcode.util.ToStringPairTransformer

All Implemented Interfaces:
  org.apache.commons.collections.Transformer

Direct Known Subclasses:
  ToDoubleObjectStringPairTransformer, UserEditorPage.RoleToStringPairTransformer

    public abstract class ToStringPairTransformer

extends java.lang.Object
implements org.apache.commons.collections.Transformer

Constructor Summary
`ToStringPairTransformer()`

Method Summary
`java.lang.Object` `transform(java.lang.Object object)`
`protected abstract java.lang.String[]` `transformToStringPair(java.lang.Object object)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ToStringPairTransformer

    public ToStringPairTransformer()

Method Detail

### transform

    public final java.lang.Object transform(java.lang.Object object)

  Specified by:
    `transform` in interface `org.apache.commons.collections.Transformer`

### transformToStringPair

    protected abstract java.lang.String[] transformToStringPair(java.lang.Object object)